apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: constellation-messaging-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    nginx.ingress.kubernetes.io/proxy-connect-timeout: "7200"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "7200"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "7200"
spec:
  defaultBackend:
    service:
      name: constellation-messaging
      port:
        number: 3000